프로젝트 에 대해 해결된 각 정책 유형(병합된 유효 값, 각 범위의 자체 값, 시행 중인 범위)을 반환합니다. 조직 값은 서버 측에서 읽기 때문에 호출자는 프로젝트 읽기 액세스 만 필요합니다.
GET /api/v1/projects/{id}/poliencies/Effective
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/policies/effective' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"policies": [
{
"effective_int_value": 42,
"effective_string_list": [
"string"
],
"enabled": true,
"organization": {
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
},
"project": {
"enabled": true,
"id": "string",
"int_value": 42,
"string_list": [
"string"
]
},
"source": "string",
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
]
}
응답 예시(200)
{
"policies": [
{
"effective_int_value": 42,
"effective_string_list": [
"string"
],
"enabled": true,
"organization": {
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
},
"project": {
"enabled": true,
"id": "string",
"int_value": 42,
"string_list": [
"string"
]
},
"source": "string",
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}